services:
  mysql:
    image: mysql:latest
    container_name: mysql
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: gR9pV4tY7zR6qL3e
      TZ: Asia/Shanghai
    ports:
      - "3306:3306"
    volumes:
      - ./db/mysql:/var/lib/mysql

  redis:
    image: redis:latest
    container_name: redis
    restart: always
    ports:
      - "6379:6379"
    volumes:
      - ./db/redis:/data
    command: redis-server --requirepass lQ7aM8oB6lK0iD5k

  etcd:
    image: bitnami/etcd:latest
    container_name: etcd
    restart: always
    ports:
      - "2379:2379"
    environment:
      ALLOW_NONE_AUTHENTICATION: "yes"
